## com.lowagie.text.rtf
Class RtfPageNumber

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.AbstractRtfField
              com.lowagie.text.rtf.GenericRtfField
                  com.lowagie.text.rtf.RtfPageNumber

All Implemented Interfaces:
  Element, MarkupAttributes, RtfField

public class RtfPageNumber
extends GenericRtfField
implements RtfField

A rtf page number field. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 1.25 $Date: 2004/12/14 15:14:44 $
Author:
  Steffen.Stundzig@smb-tec.com, mhall@myrealbox.com

Field Summary
`private String` `content`

Fields inherited from class com.lowagie.text.rtf.GenericRtfField
`fieldInst, fieldResult`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfPageNumber(String content, Font contentFont)` construct a RtfPageNumber.

Method Summary
`String` `toString()` Returns the content of this `Chunk`.
`void` `write(RtfWriter writer, OutputStream out)` write this RtfField into a stream using the writer given as first argument.

Methods inherited from class com.lowagie.text.rtf.GenericRtfField
`content, isAlt, isDirty, isLocked, isPrivate, setAlt, setDirty, setEdited, setLocked, setPrivate, wasEdited, writeRtfFieldBegin, writeRtfFieldEnd, writeRtfFieldInitializationStuff, writeRtfFieldInstBegin, writeRtfFieldInstEnd, writeRtfFieldModifiers, writeRtfFieldResultBegin, writeRtfFieldResultEnd, writeRtfFieldResultStuff`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    private String content

Constructor Detail

### RtfPageNumber

    public RtfPageNumber(String content,
                         Font contentFont)

  construct a RtfPageNumber. The parameter content will be displayed in front of the page number using the font given as second argument.

Parameters:
  `content` - the String that will be displayed in front of the page number
  `contentFont` - the font to use to display this page number

Method Detail

### write

    public void write(RtfWriter writer,
                      OutputStream out)
               throws IOException

  write this RtfField into a stream using the writer given as first argument.

  Specified by:
    `write` in interface `RtfField`
  Overrides:
    `write` in class `AbstractRtfField`
  Parameters:
    `writer` - the RtfWriter to use to write this RtfField
    `out` - the Stream to write this RtfField into.
  Throws:
    `IOException`

### toString

    public String toString()

  Description copied from class: `Chunk`
  Returns the content of this `Chunk`.

  Specified by:
    `toString` in interface `Element`
  Overrides:
    `toString` in class `Chunk`
  Returns:
    a `String`
  See Also:
    `Element.toString()`